﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Migrations
    {
        public class Rollback : Command, ISubCommandOf<Migrations>
        {
            public Rollback() : base("rollback", "Rollback the last migration")
            {
                AddAlias("r");
                this.SetHandler(ExecuteAsync);
            }

            private async Task ExecuteAsync()
            {
                await Bash.ExecuteAsync([
                    "source .venv/bin/activate",
                    "alembic downgrade -1"
                ]);
            }
        }
    }
}
